com.aliyun.svideosdk.common.struct.effect

## Class TrackAudioStream.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackAudioStream.Builder

- Enclosing class:
    TrackAudioStream

      public static final class TrackAudioStream.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrackAudioStream.Builder` | `audioWeight(int weight)` Set the mix weight of audio stream
    `TrackAudioStream` | `build()` Build Track Audio Stream Bean
    `TrackAudioStream.Builder` | `source(Source source)` Sets the path of a resource.
    `TrackAudioStream.Builder` | `startTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Set the start time of audio stream in the track
    `TrackAudioStream.Builder` | `streamDuration(long duration, java.util.concurrent.TimeUnit timeUnit)` Sets the duration of stream.
    `TrackAudioStream.Builder` | `streamId(int streamId)` Set the stream id
    `TrackAudioStream.Builder` | `streamStartTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` Sets the start time of stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### source

          public TrackAudioStream.Builder source(Source source)

      Sets the path of a resource.
      Parameters:
        `source` - resource
      Returns:
        this

    - #### streamStartTime

          public TrackAudioStream.Builder streamStartTime(long startTime,
                                                          java.util.concurrent.TimeUnit timeUnit)

      Sets the start time of stream.
      Parameters:
        `startTime` -
        `timeUnit` - TimeUnit

    - #### streamDuration

          public TrackAudioStream.Builder streamDuration(long duration,
                                                         java.util.concurrent.TimeUnit timeUnit)

      Sets the duration of stream.
      Parameters:
        `duration` -
        `timeUnit` - TimeUnit

    - #### streamId

          public TrackAudioStream.Builder streamId(int streamId)

      Set the stream id
      Parameters:
        `streamId` - resource
      Returns:
        this

    - #### audioWeight

          public TrackAudioStream.Builder audioWeight(int weight)

      Set the mix weight of audio stream
      Parameters:
        `weight` - resource
      Returns:
        this

    - #### startTime

          public TrackAudioStream.Builder startTime(long startTime,
                                                    java.util.concurrent.TimeUnit timeUnit)

      Set the start time of audio stream in the track
      Parameters:
        `startTime` -
        `timeUnit` - TimeUnit
      Returns:
        this

    - #### build

          public TrackAudioStream build()

      Build Track Audio Stream Bean
      Returns:
        @return `TrackAudioStream`